Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface ProducesConsumesClient

@Path("/producesConsumes") @Produces("text/html") @Consumes("text/plain") public interface ProducesConsumesClient

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`produceHtmlConsumeText(String id, String content)`
`jakarta.ws.rs.core.Response`
`produceJSONConsumeXML(String content)`
`jakarta.ws.rs.core.Response`
`produceXMLConsumeJSON(String content)`

## Method Details

### produceXMLConsumeJSON

@POST @Produces("application/xml") @Consumes("application/json") jakarta.ws.rs.core.Response produceXMLConsumeJSON(String content)

### produceJSONConsumeXML

@PUT @Produces("application/json") @Consumes("application/xml") jakarta.ws.rs.core.Response produceJSONConsumeXML(String content)

### produceHtmlConsumeText

@POST @Path("/{id}") jakarta.ws.rs.core.Response produceHtmlConsumeText(@PathParam("id") String id, String content)